<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: flair::core::ImuData Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('classflair_1_1core_1_1_imu_data.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classflair_1_1core_1_1_imu_data-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">flair::core::ImuData Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Class defining IMU datas.  
 <a href="classflair_1_1core_1_1_imu_data.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="_imu_data_8h_source.html">ImuData.h</a>&gt;</code></p>
<div id="dynsection-0" onclick="return toggleVisibility(this)" class="dynheader closed" style="cursor:pointer;">
  <img id="dynsection-0-trigger" src="closed.png" alt="+"/> Inheritance diagram for flair::core::ImuData:</div>
<div id="dynsection-0-summary" class="dynsummary" style="display:block;">
</div>
<div id="dynsection-0-content" class="dyncontent" style="display:none;">
 <div class="center">
  <img src="classflair_1_1core_1_1_imu_data.png" usemap="#flair::core::ImuData_map" alt=""/>
  <map id="flair::core::ImuData_map" name="flair::core::ImuData_map">
<area href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. " alt="flair::core::io_data" shape="rect" coords="0,112,117,136"/>
<area href="classflair_1_1core_1_1_mutex.html" title="Class defining a mutex. " alt="flair::core::Mutex" shape="rect" coords="0,56,117,80"/>
<area href="classflair_1_1core_1_1_object.html" title="Base class for all Framework&#39;s classes. " alt="flair::core::Object" shape="rect" coords="0,0,117,24"/>
</map>
 </div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data_1_1_type.html">Type</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:adb0dfdbb977697425cd06265077c26be"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">PlotableData_t</a> { <br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d">RawAx</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803">RawAy</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00">RawAz</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519">RawGx</a>, 
<br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695">RawGy</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622">RawGz</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9">RawGxDeg</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565">RawGyDeg</a>, 
<br />
&#160;&#160;<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f">RawGzDeg</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b">RawMx</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf">RawMy</a>, 
<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367">RawMz</a>
<br />
 }</td></tr>
<tr class="memdesc:adb0dfdbb977697425cd06265077c26be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Datas wich can be plotted in a DataPlot1D.  <a href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">More...</a><br /></td></tr>
<tr class="separator:adb0dfdbb977697425cd06265077c26be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_types_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Types inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aed5fccda511f97487040fed29f4efc97"></a>enum &#160;</td><td class="memItemRight" valign="bottom"><b>color_t</b> { <b>Auto</b> = 0, 
<b>Red</b> = 31, 
<b>Green</b> = 32, 
<b>Orange</b> = 33
 }</td></tr>
<tr class="separator:aed5fccda511f97487040fed29f4efc97 inherit pub_types_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a1a277282db7d19ed76e41a4f7a782934"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#a1a277282db7d19ed76e41a4f7a782934">ImuData</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;, int n=1)</td></tr>
<tr class="memdesc:a1a277282db7d19ed76e41a4f7a782934"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1a277282db7d19ed76e41a4f7a782934">More...</a><br /></td></tr>
<tr class="separator:a1a277282db7d19ed76e41a4f7a782934"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ab5c48fd57817f52d479c0d43dfb3e9"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#a5ab5c48fd57817f52d479c0d43dfb3e9">~ImuData</a> ()</td></tr>
<tr class="memdesc:a5ab5c48fd57817f52d479c0d43dfb3e9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a5ab5c48fd57817f52d479c0d43dfb3e9">More...</a><br /></td></tr>
<tr class="separator:a5ab5c48fd57817f52d479c0d43dfb3e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4f26aa0799e4156f3885a436a269d9c5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#a4f26aa0799e4156f3885a436a269d9c5">Element</a> (<a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">PlotableData_t</a> data_type) const </td></tr>
<tr class="memdesc:a4f26aa0799e4156f3885a436a269d9c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Element.  <a href="#a4f26aa0799e4156f3885a436a269d9c5">More...</a><br /></td></tr>
<tr class="separator:a4f26aa0799e4156f3885a436a269d9c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aff48e7fc5d9e5fd5f543080c927b88b5"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#aff48e7fc5d9e5fd5f543080c927b88b5">GetRawAcc</a> (void) const </td></tr>
<tr class="memdesc:aff48e7fc5d9e5fd5f543080c927b88b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get raw accelerations.  <a href="#aff48e7fc5d9e5fd5f543080c927b88b5">More...</a><br /></td></tr>
<tr class="separator:aff48e7fc5d9e5fd5f543080c927b88b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc5d9ec8a2c7ae337ba627dcf2181307"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#adc5d9ec8a2c7ae337ba627dcf2181307">GetRawMag</a> (void) const </td></tr>
<tr class="memdesc:adc5d9ec8a2c7ae337ba627dcf2181307"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get raw magnetometers.  <a href="#adc5d9ec8a2c7ae337ba627dcf2181307">More...</a><br /></td></tr>
<tr class="separator:adc5d9ec8a2c7ae337ba627dcf2181307"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a942ccd18b00ffceee25e307fa54a6ea0"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#a942ccd18b00ffceee25e307fa54a6ea0">GetRawGyr</a> (void) const </td></tr>
<tr class="memdesc:a942ccd18b00ffceee25e307fa54a6ea0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get raw angular speed.  <a href="#a942ccd18b00ffceee25e307fa54a6ea0">More...</a><br /></td></tr>
<tr class="separator:a942ccd18b00ffceee25e307fa54a6ea0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5893ae29ee62fea62fee049924fad2bf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#a5893ae29ee62fea62fee049924fad2bf">GetRawAccMagAndGyr</a> (<a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawAcc, <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawMag, <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawGyr) const </td></tr>
<tr class="memdesc:a5893ae29ee62fea62fee049924fad2bf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get raw accelerations, magnetometers and angular speeds.  <a href="#a5893ae29ee62fea62fee049924fad2bf">More...</a><br /></td></tr>
<tr class="separator:a5893ae29ee62fea62fee049924fad2bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad1253132c246fd1106294fa63c9f43d6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#ad1253132c246fd1106294fa63c9f43d6">SetRawAcc</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawAcc)</td></tr>
<tr class="memdesc:ad1253132c246fd1106294fa63c9f43d6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set raw accelerations.  <a href="#ad1253132c246fd1106294fa63c9f43d6">More...</a><br /></td></tr>
<tr class="separator:ad1253132c246fd1106294fa63c9f43d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2c8a03b3ff037fca52e2e0607910f93d"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#a2c8a03b3ff037fca52e2e0607910f93d">SetRawMag</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawMag)</td></tr>
<tr class="memdesc:a2c8a03b3ff037fca52e2e0607910f93d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set raw magnetometers.  <a href="#a2c8a03b3ff037fca52e2e0607910f93d">More...</a><br /></td></tr>
<tr class="separator:a2c8a03b3ff037fca52e2e0607910f93d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb2c370ce20995a83fb500bc8e966d4e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#afb2c370ce20995a83fb500bc8e966d4e">SetRawGyr</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawGyr)</td></tr>
<tr class="memdesc:afb2c370ce20995a83fb500bc8e966d4e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set raw angular speed.  <a href="#afb2c370ce20995a83fb500bc8e966d4e">More...</a><br /></td></tr>
<tr class="separator:afb2c370ce20995a83fb500bc8e966d4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9996d7161dfbc620d977208d0626515"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_imu_data.html#ac9996d7161dfbc620d977208d0626515">SetRawAccMagAndGyr</a> (const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawAcc, const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawMag, const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;rawGyr)</td></tr>
<tr class="memdesc:ac9996d7161dfbc620d977208d0626515"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set raw accelerations, magnetometers and angular speeds.  <a href="#ac9996d7161dfbc620d977208d0626515">More...</a><br /></td></tr>
<tr class="separator:ac9996d7161dfbc620d977208d0626515"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a900757115b2e37ee615fec7d6ed539"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9a900757115b2e37ee615fec7d6ed539"></a>
<a class="el" href="classflair_1_1core_1_1_imu_data_1_1_type.html">Type</a> const &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>GetDataType</b> () const </td></tr>
<tr class="separator:a9a900757115b2e37ee615fec7d6ed539"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">io_data</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name, int n)</td></tr>
<tr class="memdesc:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a8f1ba8c576e0a94bb27bdf1b6d1f7d21">More...</a><br /></td></tr>
<tr class="separator:a8f1ba8c576e0a94bb27bdf1b6d1f7d21 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a63b4bbba0120e45d69d616f7b7cb021a">~io_data</a> ()</td></tr>
<tr class="memdesc:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#a63b4bbba0120e45d69d616f7b7cb021a">More...</a><br /></td></tr>
<tr class="separator:a63b4bbba0120e45d69d616f7b7cb021a inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acae3fb98b266a788b12083c7eec2be10">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time)</td></tr>
<tr class="memdesc:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time, also caluculates the delta time based on last call.  <a href="#acae3fb98b266a788b12083c7eec2be10">More...</a><br /></td></tr>
<tr class="separator:acae3fb98b266a788b12083c7eec2be10 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa51c08a0950cbe5ec5774446679ea43f">SetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> deltaTime)</td></tr>
<tr class="memdesc:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set data time and delta time (thus delta time is not based on last call)  <a href="#aa51c08a0950cbe5ec5774446679ea43f">More...</a><br /></td></tr>
<tr class="separator:aa51c08a0950cbe5ec5774446679ea43f inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a9481c27408747e9392d9425f45699599">DataTime</a> (void) const </td></tr>
<tr class="memdesc:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data time.  <a href="#a9481c27408747e9392d9425f45699599">More...</a><br /></td></tr>
<tr class="separator:a9481c27408747e9392d9425f45699599 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aba2a52aae7efbcd769820cde4e1a38d9">DataDeltaTime</a> (void) const </td></tr>
<tr class="memdesc:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Data delta time.  <a href="#aba2a52aae7efbcd769820cde4e1a38d9">More...</a><br /></td></tr>
<tr class="separator:aba2a52aae7efbcd769820cde4e1a38d9 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a02cd00111e4b93187b668de49cdec642">GetDataTime</a> (<a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;time, <a class="el" href="namespaceflair_1_1core.html#acc0fa041e08ecf73b2d1d723c339a736">Time</a> &amp;deltaTime) const </td></tr>
<tr class="memdesc:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get data time and delta time.  <a href="#a02cd00111e4b93187b668de49cdec642">More...</a><br /></td></tr>
<tr class="separator:a02cd00111e4b93187b668de49cdec642 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a6337ffd87caf22391c4484da3fc13d47">Prev</a> (int n) const </td></tr>
<tr class="memdesc:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Previous data.  <a href="#a6337ffd87caf22391c4484da3fc13d47">More...</a><br /></td></tr>
<tr class="separator:a6337ffd87caf22391c4484da3fc13d47 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa81cc1713a594806040a1e5d52ec9fa3">RawWrite</a> (char *src)</td></tr>
<tr class="memdesc:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Raw write datas.  <a href="#aa81cc1713a594806040a1e5d52ec9fa3">More...</a><br /></td></tr>
<tr class="separator:aa81cc1713a594806040a1e5d52ec9fa3 inherit pub_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_mutex"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_mutex')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_mutex.html">flair::core::Mutex</a></td></tr>
<tr class="memitem:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1f85044411d838898a794ceaeb78d8f0">Mutex</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent, std::string name=&quot;&quot;)</td></tr>
<tr class="memdesc:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#a1f85044411d838898a794ceaeb78d8f0">More...</a><br /></td></tr>
<tr class="separator:a1f85044411d838898a794ceaeb78d8f0 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#ac8256454205d5146d1fe95b7538b25eb">~Mutex</a> ()</td></tr>
<tr class="memdesc:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#ac8256454205d5146d1fe95b7538b25eb">More...</a><br /></td></tr>
<tr class="separator:ac8256454205d5146d1fe95b7538b25eb inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a225fbd364b794d698b1c7d8c6962492b">GetMutex</a> (void) const </td></tr>
<tr class="memdesc:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">GetMutex.  <a href="#a225fbd364b794d698b1c7d8c6962492b">More...</a><br /></td></tr>
<tr class="separator:a225fbd364b794d698b1c7d8c6962492b inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_mutex.html#a1fd1e2cbcacd6a51e21da35cd26800f6">ReleaseMutex</a> (void) const </td></tr>
<tr class="memdesc:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="mdescLeft">&#160;</td><td class="mdescRight">ReleaseMutex.  <a href="#a1fd1e2cbcacd6a51e21da35cd26800f6">More...</a><br /></td></tr>
<tr class="separator:a1fd1e2cbcacd6a51e21da35cd26800f6 inherit pub_methods_classflair_1_1core_1_1_mutex"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_classflair_1_1core_1_1_object"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_classflair_1_1core_1_1_object')"><img src="closed.png" alt="-"/>&#160;Public Member Functions inherited from <a class="el" href="classflair_1_1core_1_1_object.html">flair::core::Object</a></td></tr>
<tr class="memitem:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aec92383fd5bf68d9df10414862b7e95c">Object</a> (const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *parent=NULL, std::string name=&quot;&quot;, std::string type=&quot;&quot;)</td></tr>
<tr class="memdesc:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Constructor.  <a href="#aec92383fd5bf68d9df10414862b7e95c">More...</a><br /></td></tr>
<tr class="separator:aec92383fd5bf68d9df10414862b7e95c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#aa2bde0e6677bbef705c96c93cb06ad09">~Object</a> ()</td></tr>
<tr class="memdesc:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destructor.  <a href="#aa2bde0e6677bbef705c96c93cb06ad09">More...</a><br /></td></tr>
<tr class="separator:aa2bde0e6677bbef705c96c93cb06ad09 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a9b0344dff7e1c05424d9152c8274523a">ObjectName</a> (void) const </td></tr>
<tr class="memdesc:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Name.  <a href="#a9b0344dff7e1c05424d9152c8274523a">More...</a><br /></td></tr>
<tr class="separator:a9b0344dff7e1c05424d9152c8274523a inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a609a250ec037fbcaf8957c8f1dcbfc53">ObjectType</a> (void) const </td></tr>
<tr class="memdesc:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Type.  <a href="#a609a250ec037fbcaf8957c8f1dcbfc53">More...</a><br /></td></tr>
<tr class="separator:a609a250ec037fbcaf8957c8f1dcbfc53 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a360c112cc3017a5152ebf6e84d2efa70">Parent</a> (void) const </td></tr>
<tr class="memdesc:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parent.  <a href="#a360c112cc3017a5152ebf6e84d2efa70">More...</a><br /></td></tr>
<tr class="separator:a360c112cc3017a5152ebf6e84d2efa70 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#ae22db4d723ec2d50b3ba48f26a6a770c">TypeChilds</a> (void) const </td></tr>
<tr class="memdesc:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs of the same type.  <a href="#ae22db4d723ec2d50b3ba48f26a6a770c">More...</a><br /></td></tr>
<tr class="separator:ae22db4d723ec2d50b3ba48f26a6a770c inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">std::vector&lt; const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> * &gt; *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a344f81cd35805a9501098bf727ac1a10">Childs</a> (void) const </td></tr>
<tr class="memdesc:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Childs.  <a href="#a344f81cd35805a9501098bf727ac1a10">More...</a><br /></td></tr>
<tr class="separator:a344f81cd35805a9501098bf727ac1a10 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#af001feba14fc053aa778e61080a0b4cf">Information</a> (const char *function, int line, const char *format,...) const </td></tr>
<tr class="memdesc:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted information.  <a href="#af001feba14fc053aa778e61080a0b4cf">More...</a><br /></td></tr>
<tr class="separator:af001feba14fc053aa778e61080a0b4cf inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a168b18451b2ee6126e1e81d452005ff6">Warning</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted warning.  <a href="#a168b18451b2ee6126e1e81d452005ff6">More...</a><br /></td></tr>
<tr class="separator:a168b18451b2ee6126e1e81d452005ff6 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a3ca9694d29ec2b0491739879685df5ca">Error</a> (const char *function, const char *format,...) const </td></tr>
<tr class="memdesc:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Formatted error.  <a href="#a3ca9694d29ec2b0491739879685df5ca">More...</a><br /></td></tr>
<tr class="separator:a3ca9694d29ec2b0491739879685df5ca inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1_object.html#a36cdd7f556e78b1bddd1d1fe4264bb85">ErrorOccured</a> (bool recursive=true) const </td></tr>
<tr class="memdesc:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has an errror occured?  <a href="#a36cdd7f556e78b1bddd1d1fe4264bb85">More...</a><br /></td></tr>
<tr class="separator:a36cdd7f556e78b1bddd1d1fe4264bb85 inherit pub_methods_classflair_1_1core_1_1_object"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="inherited"></a>
Additional Inherited Members</h2></td></tr>
<tr class="inherit_header pro_methods_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Member Functions inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#acc7fc08f29ba17fed5b94150826fae2d">AppendLogDescription</a> (std::string description, <a class="el" href="classflair_1_1core_1_1_data_type.html">DataType</a> const &amp;datatype)</td></tr>
<tr class="memdesc:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Specify the description of the reimplemented class data's.  <a href="#acc7fc08f29ba17fed5b94150826fae2d">More...</a><br /></td></tr>
<tr class="separator:acc7fc08f29ba17fed5b94150826fae2d inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">SetPtrToCircle</a> (void **ptr)</td></tr>
<tr class="memdesc:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the datas to circle.  <a href="#aa8b8c20d94aaf6b9eb4e21e2b95d51b2">More...</a><br /></td></tr>
<tr class="separator:aa8b8c20d94aaf6b9eb4e21e2b95d51b2 inherit pro_methods_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_classflair_1_1core_1_1io__data"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_classflair_1_1core_1_1io__data')"><img src="closed.png" alt="-"/>&#160;Protected Attributes inherited from <a class="el" href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></td></tr>
<tr class="memitem:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classflair_1_1core_1_1io__data.html">io_data</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classflair_1_1core_1_1io__data.html#a58e1a3f2fbf1655a047268375ba2202e">prev</a></td></tr>
<tr class="memdesc:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="mdescLeft">&#160;</td><td class="mdescRight">Pointer to previous data.  <a href="#a58e1a3f2fbf1655a047268375ba2202e">More...</a><br /></td></tr>
<tr class="separator:a58e1a3f2fbf1655a047268375ba2202e inherit pro_attribs_classflair_1_1core_1_1io__data"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Class defining IMU datas. </p>
<p>IMU (inertial measurement unit) datas consist of raw accelerometer values, raw gyrometer values and raw magnetometer values. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a class="anchor" id="adb0dfdbb977697425cd06265077c26be"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">flair::core::ImuData::PlotableData_t</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Datas wich can be plotted in a DataPlot1D. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bea90ece67a73f71355e7c5a6adf5e8149d"></a>RawAx&#160;</td><td class="fielddoc">
<p>x raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26beaf17fe48e3f3aeeb97c77e78340bb5803"></a>RawAy&#160;</td><td class="fielddoc">
<p>y raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bead8be85dbc38cbd7c3e5493256ffa1d00"></a>RawAz&#160;</td><td class="fielddoc">
<p>z raw accelerometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26beafbc2d2a514c95994271df80a8e5be519"></a>RawGx&#160;</td><td class="fielddoc">
<p>x raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bea4b4d9ad7d324cc7658342ec2c4771695"></a>RawGy&#160;</td><td class="fielddoc">
<p>y raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26beadc2e059b491fedb6d2960281b7ad6622"></a>RawGz&#160;</td><td class="fielddoc">
<p>z raw gyrometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bea915a640fc43e113b03e4391cf0c733a9"></a>RawGxDeg&#160;</td><td class="fielddoc">
<p>x raw gyrometer degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26beadbc88531fe4da892ae4bcd48089d0565"></a>RawGyDeg&#160;</td><td class="fielddoc">
<p>y raw gyrometer degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bea98589e84fadf04b96b5c578ec931a78f"></a>RawGzDeg&#160;</td><td class="fielddoc">
<p>z raw gyrometer degree </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bea9ad641005399ef838c6b72845404be6b"></a>RawMx&#160;</td><td class="fielddoc">
<p>x raw magnetometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26bea526c117774f8517ee9496395c87b63cf"></a>RawMy&#160;</td><td class="fielddoc">
<p>y raw magnetometer </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="adb0dfdbb977697425cd06265077c26beae864388017d2f02860096371f515a367"></a>RawMz&#160;</td><td class="fielddoc">
<p>z raw magnetometer </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a1a277282db7d19ed76e41a4f7a782934"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::ImuData::ImuData </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_object.html">Object</a> *&#160;</td>
          <td class="paramname"><em>parent</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">std::string&#160;</td>
          <td class="paramname"><em>name</em> = <code>&quot;&quot;</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>n</em> = <code>1</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Constructor. </p>
<p>Construct an <a class="el" href="classflair_1_1core_1_1io__data.html" title="Abstract class for data types. ">io_data</a> representing IMU datas. <br />
 </p><dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">parent</td><td>parent </td></tr>
    <tr><td class="paramname">name</td><td>name </td></tr>
    <tr><td class="paramname">n</td><td>number of samples </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a5ab5c48fd57817f52d479c0d43dfb3e9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">flair::core::ImuData::~ImuData </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Destructor. </p>

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a4f26aa0799e4156f3885a436a269d9c5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a>* flair::core::ImuData::Element </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_imu_data.html#adb0dfdbb977697425cd06265077c26be">PlotableData_t</a>&#160;</td>
          <td class="paramname"><em>data_type</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Element. </p>
<p>Get a pointer to a specific element. This pointer can be used for plotting.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">data_type</td><td>data type</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>pointer to the element </dd></dl>

</div>
</div>
<a class="anchor" id="aff48e7fc5d9e5fd5f543080c927b88b5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> flair::core::ImuData::GetRawAcc </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get raw accelerations. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>raw accelerations </dd></dl>

</div>
</div>
<a class="anchor" id="adc5d9ec8a2c7ae337ba627dcf2181307"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> flair::core::ImuData::GetRawMag </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get raw magnetometers. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>raw magnetometers </dd></dl>

</div>
</div>
<a class="anchor" id="a942ccd18b00ffceee25e307fa54a6ea0"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> flair::core::ImuData::GetRawGyr </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get raw angular speed. </p>
<p>This method is mutex protected.</p>
<dl class="section return"><dt>Returns</dt><dd>raw angular speed </dd></dl>

</div>
</div>
<a class="anchor" id="a5893ae29ee62fea62fee049924fad2bf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::ImuData::GetRawAccMagAndGyr </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawAcc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawMag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawGyr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get raw accelerations, magnetometers and angular speeds. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rawAcc</td><td>raw accelerations </td></tr>
    <tr><td class="paramname">rawMag</td><td>raw magnetometers </td></tr>
    <tr><td class="paramname">rawGyr</td><td>raw angular speeds </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ad1253132c246fd1106294fa63c9f43d6"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::ImuData::SetRawAcc </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawAcc</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set raw accelerations. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">raw</td><td>accelerations </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="a2c8a03b3ff037fca52e2e0607910f93d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::ImuData::SetRawMag </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawMag</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set raw magnetometers. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">raw</td><td>magnetometers </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="afb2c370ce20995a83fb500bc8e966d4e"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::ImuData::SetRawGyr </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawGyr</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set raw angular speed. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">raw</td><td>angular speed </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ac9996d7161dfbc620d977208d0626515"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void flair::core::ImuData::SetRawAccMagAndGyr </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawAcc</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawMag</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classflair_1_1core_1_1_vector3_d.html">Vector3Df</a> &amp;&#160;</td>
          <td class="paramname"><em>rawGyr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set raw accelerations, magnetometers and angular speeds. </p>
<p>This method is mutex protected.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">rawAcc</td><td>raw accelerations </td></tr>
    <tr><td class="paramname">rawMag</td><td>raw magnetometers </td></tr>
    <tr><td class="paramname">rawGyr</td><td>raw angular speeds </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespaceflair.html">flair</a></li><li class="navelem"><a class="el" href="namespaceflair_1_1core.html">core</a></li><li class="navelem"><a class="el" href="classflair_1_1core_1_1_imu_data.html">ImuData</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
